/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

PropertyRentState propertyRentStateFromJson(String str) => PropertyRentState.fromJson(json.decode(str));

String propertyRentStateToJson(PropertyRentState data) => json.encode(data.toJson());

class PropertyRentState {
  PropertyRentState({
    required this.curPage,
    required this.pageSize,
    required this.list,
    required this.filterCount,
  });

  int curPage;
  int pageSize;
  List<Map<String, dynamic>> list;
  int filterCount;

  factory PropertyRentState.fromJson(Map<dynamic, dynamic> json) => PropertyRentState(
    curPage: json["curPage"],
    pageSize: json["pageSize"],
    list: List<Map<String, dynamic>>.from(json["list"].map((x) => x)),
    filterCount: json["filterCount"],
  );

  Map<dynamic, dynamic> toJson() => {
    "curPage": curPage,
    "pageSize": pageSize,
    "list": List<dynamic>.from(list.map((x) => x)),
    "filterCount": filterCount,
  };

  PropertyRentState copyWith({
    int? curPage,
    int? pageSize,
    List<Map<String, dynamic>>? list,
    int? filterCount,
  }) {
    return PropertyRentState(
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      list: list ?? this.list,
      filterCount: filterCount ?? this.filterCount,
    );
  }
}
